## org.eclipse.datatools.sqltools.parsers.sql.postparse
Class PostParseProcessorConfiguration

    java.lang.Object
      org.eclipse.datatools.sqltools.parsers.sql.postparse.PostParseProcessorConfiguration

    public class PostParseProcessorConfiguration

extends java.lang.Object

The `PostParseProcessorConfiguration` provides information to configure a `PostParseProcessor` (P3). That is especially, if a dynamic set of P3s is unknown to the client but needs to be initialized.

Author:
  ckadner
See Also:
  `PostParseProcessor.config(PostParseProcessorConfiguration)`

Constructor Summary
`PostParseProcessorConfiguration()` Default constructor.
`PostParseProcessorConfiguration(Database database, java.lang.String defaultSchemaName)`

Method Summary
`Database` `getDatabase()`
`java.lang.String` `getDefaultSchemaName()`
`void` `setDatabase(Database database)`
`void` `setDefaultSchemaName(java.lang.String defaultSchemaName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostParseProcessorConfiguration

    public PostParseProcessorConfiguration(Database database,
                                           java.lang.String defaultSchemaName)

Parameters:
  `database` -
  `defaultSchemaName` -

### PostParseProcessorConfiguration

    public PostParseProcessorConfiguration()

  Default constructor.

Method Detail

### getDatabase

    public Database getDatabase()

### setDatabase

    public void setDatabase(Database database)

### getDefaultSchemaName

    public java.lang.String getDefaultSchemaName()

### setDefaultSchemaName

    public void setDefaultSchemaName(java.lang.String defaultSchemaName)